Bug 552491 - slim 1.3.1-9.fc12 creates no ~/.Xauthority any longer
slim 1.3.1-9.fc12 creates no ~/.Xauthority any longer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-xlib (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
abrt_hash:be67add7
: Regression
: 560212 563747 603910 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-05 05:36 EST by Pierre Maréchal
Modified: 2010-09-24 16:40 EDT (History)
21 users (show)

See Also:
Fixed In Version: python-xlib-0.15-0.3.rc1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-24 16:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.44 KB, text/plain)
2010-01-05 05:36 EST, Pierre Maréchal
no flags Details
Here is a script to get the program running atleast while the bug is worked out. (62 bytes, application/octet-stream)
2010-01-25 10:42 EST, Adi
no flags Details
patch to ignore non-existens (BEWARE don't know what happens else...) (652 bytes, patch)
2010-02-03 14:43 EST, Thomas Spura
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 505459 None None None Never

  None (edit)
Description Pierre Maréchal 2010-01-05 05:36:50 EST
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TBbe67add7 xauth.py:46:__init__:XauthError: ~/.Xauthority: [Errno 2] No such file or directory: '/home/pierre/.Xauthority'

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/gtktrayicon.py", line 114, in on_realize
    xdisplay = self.get_xdisplay()
  File "/usr/lib64/python2.6/site-packages/gtktrayicon.py", line 161, in get_xdisplay
    xdisplay =  Xdisplay.Display(name)
  File "/usr/lib/python2.6/site-packages/Xlib/display.py", line 85, in __init__
    self.display = _BaseDisplay(display)
  File "/usr/lib/python2.6/site-packages/Xlib/display.py", line 67, in __init__
    apply(protocol.display.Display.__init__, (self, ) + args, keys)
  File "/usr/lib/python2.6/site-packages/Xlib/protocol/display.py", line 53, in __init__
    name, host, displayno)
  File "/usr/lib/python2.6/site-packages/Xlib/support/connect.py", line 96, in get_auth
    return mod.get_auth(sock, dname, host, dno)
  File "/usr/lib/python2.6/site-packages/Xlib/support/unix_connect.py", line 100, in new_get_auth
    au = xauth.Xauthority()
  File "/usr/lib/python2.6/site-packages/Xlib/xauth.py", line 46, in __init__
    raise error.XauthError('~/.Xauthority: %s' % err)
XauthError: ~/.Xauthority: [Errno 2] No such file or directory: '/home/pierre/.Xauthority'

Local variables in innermost frame:
self: <Xlib.xauth.Xauthority instance at 0x2be8170>
err: [Errno 2] No such file or directory: '/home/pierre/.Xauthority'
filename: /home/pierre/.Xauthority

cmdline: /usr/bin/python -OO /usr/bin/gmixer -d 
component: gmixer
executable: /usr/bin/gmixer
kernel: 2.6.31.9-174.fc12.x86_64
package: gmixer-1.3-11.fc12
uuid: be67add7
Comment 1 Pierre Maréchal 2010-01-05 05:36:53 EST
Created attachment 381731 [details]
File: backtrace
Comment 2 leigh scott 2010-01-05 05:46:51 EST
What version of python-xlib are you using?, if it's 0.14-5 try updating to 0.14-6 from updates-testing.
Comment 3 Pierre Maréchal 2010-01-05 05:54:35 EST
it was 0.14-5

I updated to 0.14-6 from updates-testing.
It still crashes.

I should add that I'm running Fedora LXDE spin freshly installed and updated.

GMixer crashes upon login.
Comment 4 leigh scott 2010-01-05 06:07:57 EST
I can't reproduce the error here.
Comment 5 Bernhard S. 2010-01-10 03:38:33 EST
I'm getting exactly the same error. Creating an .Xauthority-file with mkxauth -c did not work as the file is gone again after reboot.
Comment 6 Christoph Wickert 2010-01-10 07:48:53 EST
The first thing that comes to my mind is the recent SLIM update. Could somebody please downgrade SLIM to see if they have an ~/.Xauthority again?
Comment 7 Julian A. 2010-01-18 17:53:47 EST
I've got the same problem. Also fresh install of Fedora LXDE spin. Problem first appeared after making several updates.
Comment 8 Adi 2010-01-25 04:12:58 EST
Same issue, resolves with mkauth -c, however gone after reboot, wondering if this has soemthing to do with policykit authentication?
Comment 9 Christoph Wickert 2010-01-25 04:24:11 EST
So can somebody please test what I suggested in comment 6? "yum downgrade slim" should do.
Comment 10 Adi 2010-01-25 10:42:15 EST
Created attachment 386653 [details]
Here is a script to get the program running atleast while the bug is worked out.

On startup if you run this from console it will start the applet *temporary workaround*
Comment 11 Adi 2010-01-25 11:30:50 EST
Solution Enjoy!:
copy and paste this as root from console

echo mkxauth -c >> /etc/X11/xinit/xinitrc.d/localuser.sh
Comment 12 Christoph Wickert 2010-01-25 11:37:21 EST
This is a workaround and not a solution. If there is something wrong with the latest slim update (or elsewhere), we need to track this down properly instead of working around the problem. Making changes in global config files that later need to be reverted are particularly bad.
Comment 13 Adi 2010-01-25 12:05:36 EST
Actually i doubt any reversion should be necessary, it is in the correct init script as far as commands do.  I've asked for a response from QA, if anything they should consider making it a permanent fix/patch as such.
Comment 14 Adi 2010-01-25 12:06:47 EST
However seeing as there are doubts about the solution posted above i have left it as text rather than make a script to modify the localuser init .sh
Comment 15 Julian A. 2010-01-25 13:42:46 EST
Hi!

I downgraded from slim.i686 0:1.3.1-9.fc12 to slim.i686 0:1.3.1-8.fc12. And the gmixer started normal this system start! Unfortunately, openbox crashes now. Abrt says it is a duplicate of 555141. I sent backtrace and coredump.

Until that downgrade every start of my system the gmixer crashed, but abrt counts 10times 551305 and 11times this bug. Possibly 551305 is a duplicate of this bug. 

I will perform some reboots to find out whether it was luck or slim-update caused the problem.
Comment 16 Julian A. 2010-01-25 13:49:04 EST
The openbox crash did not happen again it is likely not related to the slim version.
Comment 17 Christoph Wickert 2010-01-25 14:00:07 EST
Adi, you are right, we should talk about your suggestion with QA first.

Julianm thanks for your feedback. Reassigning to slim and adjusting the bug summary.
Comment 18 Christoph Wickert 2010-01-25 14:01:59 EST
Sorry, accidentally hit the return key.
Comment 19 Lorenzo Villani 2010-01-28 05:30:51 EST
1.3.1-8.fc12 and 1.3.1-9.fc12 differ only by a couple of patches (coming from Debian) which fix #544024 .

Downgrading SLIM is not an option.

I had slim-1.3.1-9.fc12 installed for a while but I never had this problem. I have the LXDE spin installed on a EEE and it's working without problems.
Comment 20 Christoph Wickert 2010-01-28 06:15:24 EST
(In reply to comment #19)
> 1.3.1-8.fc12 and 1.3.1-9.fc12 differ only by a couple of patches (coming from
> Debian) which fix #544024 .

Right, and as you can see these also heavily affect the creation of Xauthority, but I have no idea what exactly goes wrong there.

> Downgrading SLIM is not an option.

Of course not, it was only for testing.

> I had slim-1.3.1-9.fc12 installed for a while but I never had this problem. 

Did you check if you actually had an /.Xauthority? 
BTW: Are you trying to say that you are not using SLIM? IMO maintainers should actively use their own packages.

> have the LXDE spin installed on a EEE and it's working without problems.

Including all updates? For me this is reproducible: If I upgrade and restart slim, I have no Xauthority, if I downgrade again and restart it's back.
Comment 21 leigh scott 2010-01-30 08:14:20 EST
*** Bug 560212 has been marked as a duplicate of this bug. ***
Comment 22 Lorenzo Villani 2010-01-31 19:26:19 EST
(In reply to comment #20)

> (In reply to comment #19)
> > 1.3.1-8.fc12 and 1.3.1-9.fc12 differ only by a couple of patches (coming from
> > Debian) which fix #544024 .
> 
> Right, and as you can see these also heavily affect the creation of Xauthority,
> but I have no idea what exactly goes wrong there.

Me too.

> 
> > Downgrading SLIM is not an option.
> 
> Of course not, it was only for testing.
> 
> > I had slim-1.3.1-9.fc12 installed for a while but I never had this problem. 
> 
> Did you check if you actually had an /.Xauthority? 
> BTW: Are you trying to say that you are not using SLIM? IMO maintainers should
> actively use their own packages.

I forgot to add "on this system". JFYI: I used slim before and after the patch on my workstation, although with XMonad which means no weird pythonic systray applets. Since I switched back to a full Desktop Environment (with its own display manager) Slim now runs only on the EEE (with the LXDE spin). So, yes, I'm still using it (not directly since my mom uses that machine, but she's quite susceptible to malfunctioning things).

Please don't jump to conclusions without knowing the full picture, it's not polite behaviour.



> 
> > have the LXDE spin installed on a EEE and it's working without problems.
> 
> Including all updates? [snip]

Not all updates but slim-1.3.1-9 is installed. Anyway, I can reproduce it now (I didn't run it with '-d', nor I even noticed if it crashed at startup-time since abrt never ever gave me a warning -- weird --). I will double-check the Debian patch and, eventually, work with gdb tomorrow.
Comment 23 Lorenzo Villani 2010-02-02 16:15:40 EST
I decided to revert some parts of Debian's patch. I quickly tested it on the EEE and looks like slim is working now.
Comment 24 Fedora Update System 2010-02-02 16:17:18 EST
slim-1.3.1-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/slim-1.3.1-10.fc11
Comment 25 Fedora Update System 2010-02-02 16:17:23 EST
slim-1.3.1-10.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/slim-1.3.1-10.fc12
Comment 26 Lorenzo Villani 2010-02-02 16:58:29 EST
Please note that this is a temporary fix since it partially reverts the security fix for CVE-2009-1756 .
Comment 27 Christoph Wickert 2010-02-02 17:31:04 EST
Does this mean that it makes session hijacking possible again? IMO this is worse then a crashing gmixer.
Comment 28 Lorenzo Villani 2010-02-02 18:29:08 EST
Nope, mcookie generation is still properly randomized but instead of using popen() to call xauth, I switched it back to call system() instead. Anyway, I am not going to push this update to stable util I properly fix this issue.

There *is* something broken with Debian's approach since the .Xauthority file isn't created and this needs a more in-depth look (and I am not an X11 expert).
Comment 29 Lorenzo Villani 2010-02-02 18:32:05 EST
Another alternative is to *temporarily* patch gmixer and don't make it look for ~/.Xauthority until I sort this thing out.
Comment 30 Thomas Spura 2010-02-03 14:43:26 EST
Created attachment 388611 [details]
patch to ignore non-existens (BEWARE don't know what happens else...)

(In reply to comment #29)
> Another alternative is to *temporarily* patch gmixer and don't make it look for
> ~/.Xauthority until I sort this thing out.    

gmixer does not explicitely look for the file. It's python-zlib, that crashes.

I have a patch, that silently ignores the non-existence of the file and anything *should* run, but I know too less about python-zlib, to see what exactly happens after not-crashing.

If you feel crazy enought, test it ;)
Comment 31 Thomas Spura 2010-02-03 14:44:06 EST
Sorry, python-xlib not zlib.
Comment 32 leigh scott 2010-02-11 08:52:21 EST
*** Bug 563747 has been marked as a duplicate of this bug. ***
Comment 33 speamr18 2010-04-08 20:50:45 EDT

Comment
-----
This problem presents itself at start-up. Every start up.
Comment 34 leigh scott 2010-06-14 16:40:01 EDT
*** Bug 603910 has been marked as a duplicate of this bug. ***
Comment 35 Yorvyk 2010-08-30 13:09:56 EDT
Package: gmixer-1.3-15.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Boot up
2.
3.
Comment 36 Fedora Admin XMLRPC Client 2010-09-01 01:56:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 37 Petr Šabata 2010-09-01 07:28:24 EDT
I can't reproduce this issue on regular Fedora 13 installation, slim-0:1.3.1-10.fc13.x86_64.
I'll try the LXDE spin.

Yorvyk,
what Slim version are you using?
Comment 38 Yorvyk 2010-09-01 14:47:00 EDT
(In reply to comment #37)
> I can't reproduce this issue on regular Fedora 13 installation,
> slim-0:1.3.1-10.fc13.x86_64.
> I'll try the LXDE spin.
> 
> Yorvyk,
> what Slim version are you using?

Name        : slim
Arch        : i686
Version     : 1.3.2
Release     : 1.fc13
Comment 39 Yorvyk 2010-09-01 15:16:36 EDT
(In reply to comment #38)

Just updated to:-
Name        : slim
Arch        : i686
Version     : 1.3.2
Release     : 2.fc13

Still get the same problem on boot.
Comment 40 Thomas Spura 2010-09-01 21:52:43 EDT
I just asked upstream to help on this:
https://sourceforge.net/tracker/?func=detail&aid=3057898&group_id=10350&atid=110350

I'm unsure, if it is possible to set reasonable default values, when there is no Xauthority or do something different in its absence...
Comment 41 Thomas Spura 2010-09-02 19:19:29 EDT
Upstream made a suggestion, that might fix this, so hopefully that works.

Yorvyk or anyone else, who can reproduce this:
Could you please try version 0.15-0.3.rc1.fc13 from koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2444246
Comment 42 Yorvyk 2010-09-03 15:39:14 EDT
(In reply to comment #41)
> Upstream made a suggestion, that might fix this, so hopefully that works.
> 
> Yorvyk or anyone else, who can reproduce this:
> Could you please try version 0.15-0.3.rc1.fc13 from koji:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2444246
>
This appears to have solved the problem.
Comment 43 Thomas Spura 2010-09-04 08:21:40 EDT
(In reply to comment #42)
> (In reply to comment #41)
> > Could you please try version 0.15-0.3.rc1.fc13 from koji:
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=2444246
> >
> This appears to have solved the problem.

Great, then this can be fixed in python-xlib.

Commited to git and waiting for maintainer review:
http://pkgs.fedoraproject.org/gitweb/?p=python-xlib.git;a=commitdiff;h=dc280988c0e3456afa83a90cc749ac36fda17152
Comment 44 Jef Spaleta 2010-09-08 18:36:31 EDT
I'm cool with the patch.  What do you need from me? If you have the privs to do a build go for it.

-jef
Comment 45 Thomas Spura 2010-09-09 03:30:28 EDT
(In reply to comment #44)
> I'm cool with the patch.  What do you need from me? If you have the privs to do
> a build go for it.

That was all I needed.

Update on the way.
Comment 46 Fedora Update System 2010-09-09 04:44:37 EDT
python-xlib-0.15-0.3.rc1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-xlib-0.15-0.3.rc1.fc14
Comment 47 Fedora Update System 2010-09-09 04:44:46 EDT
python-xlib-0.15-0.3.rc1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-xlib-0.15-0.3.rc1.fc13
Comment 48 Fedora Update System 2010-09-09 04:45:20 EDT
python-xlib-0.15-0.3.rc1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/python-xlib-0.15-0.3.rc1.fc12
Comment 49 Fedora Update System 2010-09-09 23:28:41 EDT
python-xlib-0.15-0.3.rc1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-xlib'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-xlib-0.15-0.3.rc1.fc12
Comment 50 Fedora Update System 2010-09-23 08:57:07 EDT
python-xlib-0.15-0.3.rc1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 51 Fedora Update System 2010-09-24 16:33:31 EDT
python-xlib-0.15-0.3.rc1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 52 Fedora Update System 2010-09-24 16:40:06 EDT
python-xlib-0.15-0.3.rc1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.